Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.v2
Class oraxsl

`java.lang.Object
oracle.xml.parser.v2.oraxsl`

      public class oraxsl

extends java.lang.Object

The oraxsl class provides a command-line interface to applying stylesheets on multiple XML documents. It accepts a number of command-line options that dictate how it should behave. The following is its invocation syntax:

         java oraxsl options* source? stylesheet? result?
              -w                          Show warnings
              -e <error log>              A file to write errors to
              -l <xml file list>          List of files to transform
              -d <directory>              Directory with files to transform
              -x <source extension>       Extensions to exclude
              -i <source extension>       Extensions to include
              -s <stylesheet>             Stylesheet to use
              -r <result extension>       Extension to use for results
              -o <result extension>       Directory to place results
              -p <param list>             List of Params
              -t <# of threads>           Number of threads to use
              -v                                Verbose mode
              -m <version number>         XSLT Version - 1 or 2

Constructor Summary
`oraxsl()`

Method Summary
`static void` `main(java.lang.String[] args)` Invokes the oraxsl driver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### oraxsl

    public oraxsl()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Invokes the oraxsl driver
  Parameters:
    `args` - command line arguments

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.